# Android SDK v6.10.0 Deprecation Note

### Deprecated APIs

**AmityChannelModeration**

| Methods         | Remarks                                                          |
| --------------- | ---------------------------------------------------------------- |
| muteChannel()   | Use AmityChatClient.newChannelRepository().muteChannel() instead |
| unmuteChannel() | AmityChatClient.newChannelRepository().unmuteChannel() instead   |

**AmityCoreClient**

| Methods      | Remarks                             |
| ------------ | ----------------------------------- |
| updateUser() | <p>Use editUser()</p><p>instead</p> |

**AmityUserRepository**

| Methods                   | Remarks                   |
| ------------------------- | ------------------------- |
| searchUserByDisplayname() | Use searchUsers() instead |

**AmityCommentRepository**

| Methods         | Remarks                   |
| --------------- | ------------------------- |
| updateComment() | Use editComment() instead |

**AmityCommentRepository**

| Methods           | Remarks                     |
| ----------------- | --------------------------- |
| updateCommunity() | Use editCommunity() instead |

**AmityCommunityModeration()**

| Methods         | Remarks                                                                             |
| --------------- | ----------------------------------------------------------------------------------- |
| addMembers()    | Use AmitySocialClient.newCommunityRepository().membership().addMembers() instead    |
| removeMembers() | Use AmitySocialClient.newCommunityRepository().membership().removeMembers() instead |

**AmityPollRepository**

| Methods | Remarks                                                      |
| ------- | ------------------------------------------------------------ |
| voll()  | Use AmitySocialClient.newPollRepository().votePoll() instead |

\
**AmityPostRepository**

| Methods            | Remarks                      |
| ------------------ | ---------------------------- |
| updatePost()       | Use editPost() instead       |
| updateCustomPost() | Use editCustomPost() instead |

**AmityStreamRepository**

| Methods             | Remarks                    |
| ------------------- | -------------------------- |
| observeStream()     | Use getStream() instead    |
| createVideoStream() | Use createStream() instead |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/developers/migration-guides/android-sdk-v6.0.0-migration-guide/android-sdk-v6.10.0-deprecation-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
